%define name 	multisync
%define version 0.81
%define release 3mdk

%define plugins backup_plugin evolution_sync irmc_sync ldap_plugin opie_sync syncml_plugin palm_sync
%define major 	0
%define libname	%mklibname %name %major

Name: 		%{name}
Summary: 	GNOME tool to synchronize PIM data on many devices.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://multisync.sourceforge.net/download.shtml
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	bison automake1.7 pkgconfig
BuildRequires:	libldap-devel
BuildRequires:	libbluez-devel libbluez-sdp-devel
BuildRequires:	evolution-devel irda-utils
BuildRequires:	libxpm-devel libopenobex-devel
BuildRequires:	libopenssl-devel libsoup-2.0-devel
BuildRequires:	libcurl-devel libpisock-devel
Requires:	%libname = %version-%release
Requires:	evolution

%description
MultiSync is a free modular program to synchronize calendars, addressbooks
and other PIM data between programs on your computer and other computers,
mobile devices, PDAs or cell phones. MultiSync works on any Gnome platform,
such as Linux.

Included are plugins for:
    * Ximian Evolution synchronization, supporting calendar, ToDos and
      contacts.
    * IrMC Mobile Client synchronization (supported by e.g. SonyEricsson
      T39/T68i, Siemens S45i/S55 phones etc.) via Bluetooth or IR on
      Linux, or cable connection.
    * Windows CE / Pocket PC synchronization through the SynCE project.
    * Opie and Zaurus synchronization.
    * SyncML support (supported by e.g. SonyEricsson P800/P900 and many
      other phones and devices).
    * Remote connection of two MultiSync programs via an encrypted
      connection over the net. Perfect to synchronize your laptop and
      stationary computer, or why not your home and work calendars?
    * Backup of your PIM data.
    * Palm synchronization
    * LDAP synchronization

%package -n 	%libname
Summary:	Plugins for %name
Group: 		System/Libraries

%description -n	%libname
Plugins for %name.

%prep
%setup -q
perl -p -i -e 's/openobex\/obex.h/obex.h/g' `find 'plugins/irmc_sync/'`
rm -f config.guess config.sub install-sh mising mkinstalldirs
./autogen.sh

%build
%configure
# -j2 fails
make
cd plugins
for i in %plugins
do
	cd $i
	%configure --disable-static
	perl -p -i -e 's/PACKAGE_CFLAGS\ \=/PACKAGE_CFLAGS\ \=\ ..\/..\/include/g' Makefile
	cd ..
done
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir/%name/liblinks
%makeinstall
cd plugins
for i in %plugins
do
	cd $i
	%makeinstall
	cd ..
done
mkdir -p %buildroot/%_libdir/%name
mv %buildroot/%_libdir/lib* %buildroot/%_libdir/%name
rm -fr %buildroot/%_libdir/%name/*.la

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="MultiSync" longtitle="Integrates Multiple PIMs" section="Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ABOUT-NLS COPYING
%{_bindir}/%name
%{_datadir}/%name
%{_includedir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%name

%changelog
* Tue Mar 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-3mdk
- Rebuild against latest gtkhtml/gal

* Mon Dec 15 2003 Austin Acton <austin@linux.ca> 0.81-2mdk
- buildrequires curl and pisock (Dirk Siebnich)

* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.81-1mdk
- 0.81
- add palm plugin

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 0.80-1mdk
- 0.80
- many fixes

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.72-3mdk
- DIRM

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.72-2mdk
- buildrelease for libgal23

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 0.72-1mdk
- initial package
